GET /billing/invoices
Fetch up to 12 recent invoices from Stripe for the current organization.

Authentication

API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)

Responses

200 List of invoices
application/json
invoices object[] REQUIRED
Array of:
id string REQUIRED
number string | null REQUIRED
status string | null REQUIRED
amount_due number REQUIRED
amount_paid number REQUIRED
currency string REQUIRED
period_start string | null REQUIRED
period_end string | null REQUIRED
hosted_invoice_url string | null REQUIRED
created string | null REQUIRED
401 Unauthorized
curl -X GET 'https://hookstream.io/v1/billing/invoices' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://hookstream.io/v1/billing/invoices', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://hookstream.io/v1/billing/invoices', headers=headers)
print(response.json())
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://hookstream.io/v1/billing/invoices", nil)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
200 Response
{
  "invoices": [
    {
      "id": "<string>",
      "number": "<string>",
      "status": "<string>",
      "amount_due": 123,
      "amount_paid": 123,
      "currency": "<string>",
      "period_start": "<string>",
      "period_end": "<string>",
      "hosted_invoice_url": "<string>",
      "created": "<string>"
    }
  ]
}
GET /billing/invoices
Ask a question... ⌘I